WINEXE(1)

NAME
winexe - Winexe is a Remote Windows-command executor

SYNOPSIS

winexe [-h] [-V] [-U [DOMAIN/]USERNAME[%PASSWORD]] [-A FILE] [-N] [-k] [-d DEBUGLEVEL] [--uninstall] [--reinstall] [--runas [DOMAIN/]USERNAME[%PASSWORD]] [--runas-file FILE] [--interactive [0|1]] [--ostype [0|1]]

DESCRIPTION

This tool is part of the samba(7) suite.

The winexe allows remote command execution on native Windows operating systems.

OPTIONS

-?|--help
    Print a summary of command line options.

-V|--version
    Prints the program version number.

-U|--user=username[%password]
    Sets the SMB username or username and password.

    If %password is not specified, the user will be prompted. The client will first check the USER environment variable, then the LOGNAME variable and if either exists, the string is uppercased. If these environmental variables are not found, the username GUEST is used.

    A third option is to use a credentials file which contains the plaintext of the username and password. This option is mainly provided for scripts where the admin does not wish to pass the credentials on the command line or via environment variables. If this method is used, make certain that the permissions on the file restrict access from unwanted users. See the -A for more details.

    Be cautious about including passwords in scripts. Also, on many systems the command line of a running process may be seen via the ps command. To be safe always allow rpcclient to prompt for a password and type it in directly.

-A|--authentication-file=filename
    This option allows you to specify a file from which to read the username and password used in the connection. The format of the file is

        username = <value>
        password = <value>
        domain   = <value>

    Make certain that the permissions on the file restrict access from unwanted users.

-N|--no-pass
    If specified, this parameter suppresses the normal password prompt from the client to the user. This is useful when accessing a service that does not require a password.

    Unless a password is specified on the command line or this parameter is specified, the client will request a password.

    If a password is specified on the command line and this option is also defined the password on the command line will be silently ignored and no password will be used.

-k|--kerberos
    Try to authenticate with kerberos. Only useful in an Active Directory environment.

-d|--debuglevel=level
    level is an integer from 0 to 10. The default value if this parameter is not specified is 1.

    The higher this value, the more detail will be logged to the log files about the activities of the server. At level 0, only critical errors and serious warnings will be logged. Level 1 is a reasonable level for day-to-day running - it generates a small amount of information about operations carried out.

    Levels above 1 will generate considerable amounts of log data, and should only be used when investigating a problem. Levels above 3 are designed for use only by developers and generate HUGE amounts of log data, most of which is extremely cryptic.

    Note that specifying this parameter here will override the log level parameter in the smb.conf file.

--uninstall
    Uninstall winexe service after remote execution.

--reinstall
    Reinstall winexe service before remote execution.

--runas [DOMAIN/]USERNAME[%PASSWORD]]
    Run as the given user (BEWARE: this password is sent in cleartext over the network!)

--runas-file FILE
    Run as user options defined in a file.

--interactive [0|1]
    Desktop interaction.

    There are two options:

            • 0 - disallow

            • 1 - allow. If allow, also use the --system switch (Windows requirement). Vista does not support this optoin.

--ostype [0|1|2]
    Determines which version (32-bit or 64-bit) of service will be installed.

    There are three options:

            • 0 - 32-bit

            • 1 - 64-bit

            • 2 - winexe will decide

EXIT STATUS

The winexe program returns 0 if the operation succeeded, or 1 if the operation failed.

VERSION

This man page is part of version 4.14.14 of the Samba suite.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

The winexe and it's native Windows counterpart were written by Andrzej Hajda. The Samba client tool winexe was later rewritten by Volker Lendecke.

This manpage was written by Guenther Deschner.